Get exchange keys
curl --request GET \
--url https://perp-api.phoenix.trade/v1/view/exchange/keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://perp-api.phoenix.trade/v1/view/exchange/keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://perp-api.phoenix.trade/v1/view/exchange/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activeTraderBuffer": [
"<string>"
],
"canonicalMint": "<string>",
"currentAuthorities": {
"adlAuthority": "<string>",
"backstopAuthority": "<string>",
"cancelAuthority": "<string>",
"marketAuthority": "<string>",
"oracleAuthority": "<string>",
"riskAuthority": "<string>",
"rootAuthority": "<string>"
},
"globalConfig": "<string>",
"globalTraderIndex": [
"<string>"
],
"globalVault": "<string>",
"pendingAuthorities": {
"adlAuthority": "<string>",
"backstopAuthority": "<string>",
"cancelAuthority": "<string>",
"marketAuthority": "<string>",
"oracleAuthority": "<string>",
"riskAuthority": "<string>",
"rootAuthority": "<string>"
},
"perpAssetMap": "<string>",
"withdrawQueue": "<string>"
}{
"error": "<string>"
}Exchange
Get exchange keys
Handles GET /v1/view/exchange/keys via get.v1.view.exchange.keys.
GET
/
v1
/
view
/
exchange
/
keys
Get exchange keys
Authorizations
Bearer access token issued by /v1/auth/* login endpoints.
Response
Exchange pubkeys
Active trader buffer account public keys.
Canonical quote mint public key.
Currently active authority set.
Show child attributes
Show child attributes
Global configuration account public key.
Global trader index account public keys.
Global vault public key.
Pending authority set awaiting activation.
Show child attributes
Show child attributes
Perp asset map public key.
Withdraw queue account public key.
⌘I